/* Structure */

table {
    width: 100%;
}

.mat-form-field {
    font-size: 14px;
    width: 100%;
}

img {
    max-width: 20rem;
    max-height: 20rem;
}

tr.mat-footer-row {
    font-weight: bold;
}

.penInput {
    min-width: 2rem;
    max-width: 2rem;
}

.mat-cell {
    padding: 8px 8px 8px 0;
}

.mat-raised-button {
    min-width: 0.5rem;
    max-width: 0.5rem;
}

.center-button {
    text-align: center;
    padding-left: .5em;
}

.center-text {
    text-align: center;
}

.center {
    display: flex;
    justify-content: center;
}

.loading-indicator {
    position: fixed;
    z-index: 999;
    height: 2em;
    width: 2em;
    overflow: show;
    margin: auto;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
}

.loading-indicator::before {
    content: '';
    display: block;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 3);
}